Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.cepstrum
Class CepstrumAnalysis

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--jm.cepstrum.CepstrumAnalysis

All Implemented Interfaces:
  java.lang.Runnable

public class CepstrumAnalysis
extends java.lang.Thread

Realisiert den Algothimus zur Kepstrum-Filterung der Nierensequenzen. Wird von der Klasse AnalysisDialog aufgerufen und benoetigt die Klasse Cepstrum zur Durchfuehrung der Berechnungen.

See Also:
  `AnalysisDialog`, `Cepstrum`

Field Summary
`int[]` | `cepstrumQuality`
`boolean` | `error`
`boolean` | `finished`
`java.lang.String` | `patientBirth`
`java.lang.String` | `patientName`
`java.lang.String` | `patientWeight`
`java.lang.String` | `seriesDate`
`boolean` | `stopRunning`
`java.lang.String` | `studyDate`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CepstrumAnalysis(AnalysisDialog dlg, ij.gui.Roi rightRoi, ij.gui.Roi leftRoi)` Der Konstruktor.

Method Summary
`ij.process.ByteProcessor` | `filterSobel(ij.process.ByteProcessor ip)` Fuehrt die Sobel-Filterung des eingegebenen Bildes durch.
`void` | `newWindow(boolean w)` Hilfsmethode.
`void` | `run()` Haupt-Berechnungsmethode der Klasse.
`void` | `setAccuracy(double accuracy)` Hilfsmethode.
`void` | `setMinDiff(int s)` Hilfsmethode.
`void` | `setSecondChance(boolean sc)` Hilfsmethode.
`void` | `setVerbose(boolean v)` Hilfsmethode.
`void` | `setWriteLog(boolean log)` Hilfsmethode.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### seriesDate

    public java.lang.String seriesDate

### studyDate

    public java.lang.String studyDate

### patientName

    public java.lang.String patientName

### patientBirth

    public java.lang.String patientBirth

### patientWeight

    public java.lang.String patientWeight

### stopRunning

    public boolean stopRunning

### finished

    public boolean finished

### error

    public boolean error

### cepstrumQuality

    public int[] cepstrumQuality

Constructor Detail

### CepstrumAnalysis

    public CepstrumAnalysis(AnalysisDialog dlg,
                            ij.gui.Roi rightRoi,
                            ij.gui.Roi leftRoi)

  Der Konstruktor. Er bekommt eine Referenz auf das Hauptfenster der renalen Funktionsanalyse uebergeben, um Zugriff auf dortige Funktionen und Variablen zu haben.

Parameters:
  `dlg` - Die Referenz auf das Plugin-Hauptfenster
  `rightRoi` - Die rechte Roi
  `leftRoi` - Die linke Roi

Method Detail

### setAccuracy

    public void setAccuracy(double accuracy)

  Hilfsmethode. Setzt die Genauigkeit der Kepstrum-Filterung.

  Parameters:
    `accuracy` - double Wert fuer die Genauigkeit. Zulaessiger Bereich: 1.0-4.0

### setVerbose

    public void setVerbose(boolean v)

  Hilfsmethode. Legt fest, ob Zwischenergebnisse in textueller Form im ImageJ-Hauptfenster ausgegeben werden sollen.

  Parameters:
    `v` - true, wenn Text ausgegeben werden soll.

### newWindow

    public void newWindow(boolean w)

  Hilfsmethode. Legt fest, ob die korrigierte Nierensequenz wieder in das alte Fenster zurueckgeschrieben werden soll (und damit die alte Sequenz verworfen wird) oder ob ein neues Fenster zur Anzeige verwendet werden soll.

  Parameters:
    `w` - true, wenn ein neues Fenster gewuenscht ist.

### setSecondChance

    public void setSecondChance(boolean sc)

  Hilfsmethode. Legt fest, ob der Algorithmus zur Filterung der Sequenz fehlertolerant arbeiten soll.

  Parameters:
    `sc` - true = Fehlertoleranz einschalten

### setWriteLog

    public void setWriteLog(boolean log)

  Hilfsmethode. Legt fest, ob Zwischenergebnisse textuell in eine Protokolldatei (LogFile) geschrieben werden sollen.

  Parameters:
    `log` - true, wenn Text in die Dateiausgegeben werden soll.

### setMinDiff

    public void setMinDiff(int s)

  Hilfsmethode. Legt fest, nach wie vielen Iterationen des Algorithmus ohne Aenderung der maximalen Verschiebungsachse auf den minimalen Differenzfilter umgeschaltet werden soll.

  Parameters:
    `s` - gibt die Anzahl der Iterationen an. true, wenn Text ausgegeben werden soll.

### run

    public void run()

  Haupt-Berechnungsmethode der Klasse. Wird aufgerufen, wenn der Thread gestartet wird. Implementiert die abstrakte run-Method der Klasse Thread

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### filterSobel

    public ij.process.ByteProcessor filterSobel(ij.process.ByteProcessor ip)

  Fuehrt die Sobel-Filterung des eingegebenen Bildes durch.

  Returns:
    ByteProcessor das Sobel-Bild.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD